# -*- encoding: utf-8 -*-
###############Credits#########################################################	
#    Finance by: Industrias Diana, C.A. http://www.industriasdiana.gob.ve	
###############################################################################
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
###############################################################################
from osv import osv, fields
import decimal_precision as dp
import netsvc
import pooler

class wizard_contabilidad_nomina(osv.osv_memory):
    _name = "wizard.contabilidad.nomina"
    _description = "wizard contabilidad nomina"
    
    _columns = {
       'payroll_id': fields.many2one('hr.payroll', 'Nomina', required=True),
       'account_id': fields.many2one('account.account', 'Cuenta Contable'),
       'concept_id': fields.many2one('hr.concept', 'Concepto'),
       
    }
    
    def print_contabilidad_nomina(self, cr, uid, ids, context=None):
        obj_account = self.pool.get('account.account').search(cr, uid, [])
        if context is None:
            context = {}
        data = {}
        wzr_nomina_brw = self.browse(cr, uid, ids[0])
        nomina = wzr_nomina_brw.payroll_id.id
        cuenta = wzr_nomina_brw.account_id.id
        concepto = wzr_nomina_brw.concept_id.id
        
        data['form'] = {}
        data['form']['nomina'] = nomina
        data['form']['cuenta_contable'] = cuenta or False
        data['form']['concepto'] = concepto or False
        return {'type': 'ir.actions.report.xml', 'report_name': 'report.hr.contabilidad', 'datas': data}
wizard_contabilidad_nomina()
