# /usr/bin/env python
# -*- encoding: utf-8 -*-

from osv import fields, osv

class sisb_reportes_especiales(osv.osv):
        
    _name = "sisb.reportes.especiales"
    _description = "sisb reportes especiales"

sisb_reportes_especiales()

class account_move_line(osv.osv):

    _inherit = 'account.move.line'
    _columns = {
        'ref': fields.related('move_id', 'ref', string='Reference', type='char', size=64, store=True, select=True,),
    
    }
account_move_line()

class configuration_account_invoice_report_expenses(osv.osv):
    _name = 'configuration.account.invoice.report.expenses'
    _description = 'Configuration to generate expense report'
    _columns = {
               
        'account_id': fields.many2one('account.account', 'Cuentas', required=True),
    }
configuration_account_invoice_report_expenses()

class configuration_inventario_producto_terminado(osv.osv):
    _name = 'configuration.inventario.producto.terminado'
    _description = 'Configuration Reporte Inventario Producto Terminado'
    _rec_name='categ_id'
    _columns = {
               
        'categ_id': fields.many2one('product.category', 'Categorias Contempladas', required=True),
    }
    
    def name_get(self, cr, uid, ids, context=None):
        res = []
        for r in self.read(cr, uid, ids, context):
            brw = self.pool.get('configuration.inventario.producto.terminado').browse(cr, uid, r['id'])
            res.append((brw.id, brw.categ_id.name))
        return res
        
    
configuration_inventario_producto_terminado()
