#-*- coding:utf-8 -*- 
#!/usr/bin/env python 
 
###############Credits######################################################## 
#    Developed by: Industrias Diana, C.A. 
############################################################################## 
 
import time 
from report import report_sxw 
from osv import osv 
import pooler 
from datetime import datetime, timedelta 
import datetime as dt 
from osv import osv,fields 
 
from tools.translate import _ 
import unicodedata 
import re 
import datetime 
class report_reception_ship(report_sxw.rml_parse): 
	def __init__(self, cr, uid, name, context): 
		super(report_reception_ship, self).__init__(cr, uid, name, context) 
		self.localcontext.update({ 
			'time': time, 
			'user': self.pool.get('res.users').browse(cr, uid, uid, context), 
			'get_empresa': self.get_empresa, 
			'get_final_date': self.get_final_date, 
			'get_fecha': self.get_fecha, 
			'get_hour_date': self.get_hour_date, 
 		 }) 
 
	def get_empresa(self, partner_id): 
		obj_addr = self.pool.get('res.partner.address') 
		addr_id =obj_addr.search(self.cr, self.uid, [('type','=','invoice'),('partner_id','=',partner_id)]) 
		res = {} 
		for row in obj_addr.browse(self.cr, self.uid, addr_id): 
			res = { 
			'street':row.street, 
			'phone':row.phone, 
			'fax':row.fax, 
			'email':row.email, 
			'city':row.city, 
			'name':row.name, 
			 'country':row.country_id.name, 
			} 
		return res 
                                                        
	def get_hour_date(self): 
		current_dt = datetime.now() 
		a = ['AM','PM'][current_dt.hour>=12] 
		return datetime.now().strftime('%H:%M:%S') + " " + a  
                                                                           
	def get_final_date(self): 
		return datetime.now().strftime('%d-%m-%Y') 
                                                                     
	def get_fecha(self, date): 
		if str(date) == '': 
			return False 
		new = datetime.strptime(date, '%Y-%m-%d') 
		return str(new.strftime('%d-%m-%Y')) 
 
 
report_sxw.report_sxw('report.xml_reception_ship', 
'wizard.reception.ship', 
'sisb_ship_reception/report/movimiento_buque.rml', 
parser=report_reception_ship) 
 
