#~ # -*- coding: utf-8 -*-
from report import report_sxw
import time
from datetime import datetime, timedelta
import datetime as dt


class report_ship_reception_diferencial(report_sxw.rml_parse):

    def __init__(self, cr, uid, name, context):
        
        super(report_ship_reception_diferencial, self).__init__(cr, uid, name, context)
        self.localcontext.update(
        {
            'get_empresa':self.get_empresa,
            'translator':self.translator,
            'get_data':self.get_data,
           
                    })
        self.context= context
        

    def get_empresa(self, partner_id):
        obj_addr = self.pool.get('res.partner.address')
        addr_id =obj_addr.search(self.cr, self.uid, [('type','=','invoice'),('partner_id','=',partner_id)])
        res = {}
        for row in obj_addr.browse(self.cr, self.uid, addr_id):
            res = {
            'street':row.street,
            'phone':row.phone,
            'fax':row.fax,
            'email':row.email,
            'city':row.city,
            'name':row.name,
            'country':row.country_id.name,
            } 
        return res
        
    def translator(self, word):
        words = {'draft':'Borrador', 
                 'waiting':'Esperando',
                 'confirmed':'Descargado', 
                 'assigned':'Disponible', 
                 'done':'Hecho', 
                 'cancel':'Cancelado',
                 False:'No',
                 True:'Si',
                 'False':'No',
                 'True':'Si',
                 }
        return words[word]
        
    def get_data(self, datos):
        if datos:
            return datos
        return False
        
report_sxw.report_sxw('report.reception.of.ship.diferencial',
                    'sisb.ship.reception',
                     parser= report_ship_reception_diferencial,
                    rml= 'sisb_ship_reception_diferencial/report/report_ship_reception_diferencial.rml'
                    )
