#-*- coding:utf-8 -*-
##############################################################################
#
#    SISB, Sistema Integral Simon Bolivar
#    Copyright (C) 2012-2013 Industrias Diana, C.A. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    'name': 'Programacion Semanal',
    'version': '1.0',
    "author" : "Industrias Diana C.A.",
    "category" : "Human Resources",
    "website" : "http://www.industriasdiana.gob.ve",
    'description': """\
        Módulo para generar programación semanal de los turnos asociados a los trabajadores.
        -----------------------------------------------------------------------------------------------------------------------------------------------------
        
        Campos en el wizard:
        ------------------------------------
        * Semana: Periodo sobre el cual se hará la búsqueda, no mayor a la semana actual.
        * Departamento: Solo podrá elegir entre los departamentos que puede ver, desde \
        su departamento hacia los departamentos hijos por debajo.
        
        Tipos de usuario:
        -----------------------------
        * Usuarios: solo podrá ver su departamentos y departamentos hijos
        * TH: puede ver cualquier departamento
    """,
    'depends': ['base', 'sisb_nomina', 'sisb_horas_extras'],
    'external_dependencies': {},
    'init_xml': [],
    'update_xml': [
        'wizard/sisb_turn_list.xml',
        'security/groups.xml',
        'security/ir.model.access.csv'
    ],
    'active': True,
    'installable': True
}
