#-*- coding:utf-8 -*-
##############################################################################
#
#    SISB, Sistema Integral Simon Bolivar
#    Copyright (C) 2012-2013 Industrias Diana, C.A. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    'name': 'Cambio de turnos.',
    'version': '1.1',
    "author" : "Industrias Diana C.A.",
    "category" : "Human Resources",
    "website" : "http://www.industriasdiana.gob.ve",
    'description': """\
        Modulo que permite a los coordinadores y supervisores cambiar el turno \
        o rotacion de los empleados que tienen a cargo.
        ------------------------------------------------------------------------
        Descripcion de los grupos
        -------------------------
        * Solo solicitud: permite ver documentos de su departamento o departamentos hijos \
        crear nuevos documentos, editar y borrar sus propios documentos. Podrá cargar líneas \
        con empleados de su departamento o departamentos hijos, incluyendo al mismo solicitante.
        * Users: hereda los permisos del grupo 'Solo solicitud', además, éste puede confirmar \
        los documentos de su departamento o departamentos hijos.
        * Managers: hereda los permisos del grupo 'Users', además, podrá aprobar, rechazar o \
        devolver a borrador los documentos de su departamento o departamentos hijos.
        * TH: hereda los permisos del grupo 'Managers', sin la restricción de ver sólo su \
        departamento. Este grupo podrá cargar líneas de cambios con empleados de cualquier \
        departamento, y podrá confirmar, aprobar, rechazar o devolver a borrador cualquier \
        documento, siempre y cuando el estado del documento lo permita.
    """,

    'depends': ['base', 'sisb_nomina', 'sisb_horas_extras'],
    'external_dependencies': {},
    'init_xml': [],
    'update_xml': [
        'security/groups.xml',
        'security/ir.model.access.csv',
        'views/sisb_turn_swap_view.xml',
        'views/sisb_turn_swap_lines_view.xml',
        'views/hr_shift_week_form_inherit.xml',
        'views/hr_payroll_form_inherit.xml'
    ],
    'active': True,
    'installable': True
}
