# -*- encoding: utf-8 -*-
from osv import osv,fields
from tools.translate import _


class wizard_order_payment(osv.osv_memory):
    _name = "wizard.order.payment"
    
    def imprimir(self, cr, uid, ids, context=None):
        data = {}
        ids_list =[]
        active_ids = context.get('active_ids',[])
        obj_account_voucher = self.pool.get('account.voucher')
        for i in active_ids:
            id_voucher = obj_account_voucher.search(cr, uid, [('id','=', i)])
            if id_voucher:
                state = obj_account_voucher.browse(cr, uid, id_voucher)[0].state
                type_voucher = obj_account_voucher.browse(cr, uid, id_voucher)[0].type 
                seq = obj_account_voucher.browse(cr, uid, id_voucher)[0].seq
                if state != 'cancel':
                    if type_voucher == 'payment':
                        ids_list.append(id_voucher[0])
                        if state == 'draft':
                            if not seq:
                                secuencia = self.pool.get('ir.sequence').get(cr, uid, 'payment_order_tseq')
                                obj_account_voucher.write(cr, uid, id_voucher, {'seq':secuencia})
                else:
                    raise osv.except_osv(('Error !'), ('No se puede generar esta orden de pago ya que se encuentra en estado cancelado.'))
        
        if not ids_list:
            raise osv.except_osv(('Error !'), ('No se puede generar esta orden de pago!'))
                    
        data = {'ids':ids_list}
        
        return {
            'type': 'ir.actions.report.xml',
            'report_name': 'budget.support.printing',
            'datas':data, 
            }
              
wizard_order_payment()
