# -*- coding: utf-8 -*-
from osv import osv, fields
import decimal_precision as dp
import netsvc
import pooler
from tools.translate import _

class transation_parameters(osv.osv):
    _name = 'transation.parameters'
    
    _columns = {
        'name': fields.char('Descripcion', size=64, required=True),
        'code': fields.char('Codigo', size=3, required=True),
        'type':fields.selection([
            ('transaccion','Transaccion'),
            ('referencia','Referencia'),
            ], 'Type', required=True),
        'required': fields.boolean('Obligatorio'),
        'transfer': fields.boolean('Traspaso'),         
    }
    
    _defaults = {
            'required': False,
            'transfer': False,
    }    
    
transation_parameters()
