#!/usr/bin/env python
# -*- coding: utf-8 -*--

import datetime

from osv import fields, osv


class res_company(osv.osv):
    _name = "res.company"
    _inherit = 'res.company'
    _description = 'res company'

    _columns = {
        'date_init_commission':fields.date('Initial date'),
    }
    
    _defaults = {
        'date_init_commission': lambda *a: "%s-%s-01" % (datetime.datetime.now().year, datetime.datetime.now().month),
    }
res_company()    
