#-*- coding:utf-8 -*-
#!/usr/bin/env python

from osv import fields, osv


class parametros_prestaciones(osv.osv):

    _description = "Modelo para parametros de reporte listado prestaciones"
    _name = 'parametros.prestaciones'

    _columns = {
        'parameters_id':fields.many2one('hr.parameters', 'parametros',required=True),
        'name':fields.selection([('prest_acum', 'Prestaciones Acumuladas'), 
								('anticipos', 'Anticipos'),
								('inetereses', 'Intereses'),
								('prestms_prest_socialiales', 'Prestamo a cuenta prestaciones sociales'),
								('prestms_personal', 'Prestamos personal'),
								('pago_intereses', 'Pago intereses'),], 'Columnas',required=True),
        'concept_id': fields.many2one('hr.concept', 'Concepto', required=True),
        'concept_historico_id': fields.many2one('hr.concept', 'Concepto Historico'),
    }
    
parametros_prestaciones()
