#-*- coding:utf-8 -*-

import netsvc
import time
from tools.translate import _
from osv import fields, osv
import datetime


class report_pago_guarderia(osv.osv_memory):
    _name = 'report.pago.guarderia'
    _description = 'Pago de Guarderias'

    def report_pago_guarderia(self, cr, uid, ids, context=None):
        data = {
            'ids': context.get('active_ids', []), 
            'model': 'hr.pagos.guarderias',
            'form': self.read(cr, uid, ids, [], context = context )[0]
        }
        act_brw = self.pool.get('hr.pagos.guarderias').browse(cr, uid, data['ids'][0])
        data['form']['id'] = act_brw.id
        data['form']['number_invoice'] = act_brw.number_invoice
        data['form']['date_invoice'] = act_brw.date_invoice
        data['form']['guarderia'] = act_brw.guarderia_id.partner_id.name
        data['form']['employee_id'] = act_brw.employee_id.id
        
        data['form']['hr_ids'] = context.get('active_ids')
        return {'type': 'ir.actions.report.xml', 'report_name': 'report.pago.guarderia', 
          'datas': data}
          
report_pago_guarderia()
